# 统一授权

> UI-DESIGN-V4 #搭建和运行前端开发环境 #从 svn 下载前端工程目录 #下载安装 node
> [下载地址](http://nodejs.org/) #配置本地 npm 私服地址跟网络代理
> npm config set registry=http://192.168.6.13:8082/repository/npm_all/
> npm config set proxy=http://192.168.6.13:8082
> 或者在用户根目录建立.npmrc 文本文件`C:\Users\用户名\.npmrc`，加入下面配置
> `registry=http://172.16.104.52:8081/repository/npm_all/` #从 npm 安装项目依赖
> `cmd命令 > cd 项目目录` #安装依赖
> npm install #启动服务 端口号 8080
> npm run dev #打包生产环境
> npm run build #打包组件上传到 npm
> npm run upload #构建用于生产和查看 bundle analyzer 报告。
> npm run build --report

### 前端技术路线

#### vue

[vue 官网](https://cn.vuejs.org/v2/guide/)

#### element ui

[element ui 官网](http://element.eleme.io/#/)

#### vue-router

[vue-router 官网](https://router.vuejs.org/zh-cn/)

#### axios

[axios 文档](https://www.kancloud.cn/yunye/axios/234845)
####webpack dev-server 配置说明
[dev-server 官网](https://webpack.js.org/configuration/dev-server/)

### 打包遇到的问题

font 路径错误-->修改配置文件-->build--utils 里面的 ExtractTextPlugin.extract 下添加 publicPath:'../../'
css 加载顺序错误-->调整 main.js 的 element 的 css 顺序必须在 router 跟 app 之前
静态文件加载错误-->修改配置文件-->config--index 里面的 assetsPublicPath 改为./
组件复用路由监听错误-->采用 prop 降低组件与路由的高耦合
