/**
 * 同步相关接口
@author linqian
@Date：2021-06-08
 */

import request from "@/utils/request";

const baseUrl = "/syncsvr/v2";

// 应用信息同步
export const appSyncUrl = `${baseUrl}/appSync`;

// 服务同步
export const authSerSyncUrl = `${baseUrl}/serSync`

// 数据分级同步
export const dataLevelSyncUrl = `${baseUrl}/dataLevelSync`

// 数据安全等级
export const safeLevelCodeSyncUrl = `${baseUrl}/dataSecSync`

// 数据资源分类同步
export const dataSourceSyncUrl = `${baseUrl}/dataClaSync`

// 字段分级分类同步
export const fieldSortSyncUrl = `${baseUrl}/fieldClaSync`

// 人员同步
export const userSyncUrl = `${baseUrl}/userSync`

// 人员增量同步
export const userAddSyncUrl = `${baseUrl}/userAddSync`

// 机构同步
export const orgSyncUrl = `${baseUrl}/orgSync`

// 机构增量同步
export const orgAddSyncUrl = `${baseUrl}/orgAddSync`

// 字段关系同步
export const fieldRelSyncUrl = `${baseUrl}/columnRelationSync`

// 表和列同步
export const tableColumnSyncUrl = `${baseUrl}/tableColumnSync`


export function sync(url) {
    return request({
        url,
        method: "get"
    });
}

// 应用信息同步
export function appSync() {
    return request({
        url: `${baseUrl}/appSync`,
        method: "get"
    });
}


