import { roleViewApplication } from "@/api/role-auth-info"
export const userConditionForm = [
    {
        label: "单位名称",
        name: "orgId",
        op: "=",
        value: "",
        apiName: "getOrgTree",
        nodeKey: "id",
        type: "APP",
        component: "SelectOrgTree",
        placeholder: "请选择单位名称"
    },
    {
        label: "姓名",
        name: "name",
        op: "like",
        value: "",
        component: "ElInput",
        attr: {
            style: "width: 130px"
        }
    }
]

export const userTableHeader = [
    { label: "姓名", prop: "name" },
    { label: "身份证号码", prop: "idcard" },
    { label: "用户类型", width: "100px", prop: "userType", enum: "UserTypeEnum" },
    { label: "单位名称", prop: "orgName" },
    { label: "警种", prop: "policeCategory", code: "T_MD_POLICE_TYPE" },
    { label: "业务域", prop: "policeBusiness", custom: true }
]

export const roleConditionForm = [
    {
        label: "应用系统名称",
        name: "appName",
        op: "=",
        value: "",
        component: "SelectApp",
        apiUrl: roleViewApplication,
        valueName: "name",
        labelName: "name"
    },
    {
        label: "角色名称",
        name: "roleName",
        op: "like",
        value: "",
        component: "ElInput",
        attr: {
            style: "width: 150px"
        }
    }
]
