/*
	模块名：授权管理
	@author:laiyh
	@Date:2020-07-28
*/
import Layout from '@/pages/layout/layout';
const componentRouter = {
  path: '/appfun-auth-manage',
  component: Layout,
  redirect: '/appfun-auth-manage',
  meta: { title: '应用功能授权管理', icon: 'icon-app', noCache: true, permission: ['YHGLPT_SQGL'] },
  alwaysShow: true,
  children: [
    {
      path: 'app-role-manage',
      component: () => import('@/pages/appfun-auth-manage/app-role-manage'),
      name: 'app-role-manage',
      meta: { title: '应用角色管理', icon: '', noCache: true, permission: ['YHGLPT_QXGL_QXPZ'] }
    },
    {
      path: 'org-quotas-manage',
      component: () => import('@/pages/appfun-auth-manage/org-quotas-manage'),
      name: 'org-quotas-managee',
      meta: { title: '机构配额管理', noCache: true, permission: ['YHGLPT_SQGL_JGPEGL'] }
    },
    {
      path: 'role-auth-manage',
      component: () => import('@/pages/appfun-auth-manage/role-auth-manage'),
      name: 'role-auth-manage',
      meta: { title: '角色授权管理', noCache: true, permission: ['YHGLPT_SQGL_RYSQGL'],layout: "page" }
    },
    {
      path: 'org-role-manage',
      component: () => import('@/pages/appfun-auth-manage/org-role-manage'),
      name: 'org-role-manage',
      meta: { title: '机构角色授权管理', noCache: true, permission: ['YHGLPT_SQGL_JGJSSQGL'],layout: "page" }
    }
  ]
};

export default componentRouter;
