/**
 * 统计报表
 * @Author: zouwf
 * @Date:   2020-03-31
 * @Project jz
 */
import Layout from '@/pages/layout/layout';
const componentsRouter = {
  path: '/statistics-manage',
  component: Layout,
  meta: { title: '统计报表', icon: 'icon-statistics', noCache: true, permission: ['YHGLPT_TJBB'] },
  alwaysShow: true,
  children: [
    {
      path: 'index',
      component: () => import('@/pages/statistics-manage/auth-behavior-statistic'),
      name: 'auth-behavior-statistic',
      meta: { title: '鉴权行为统计', icon: 'el-icon-goods', noCache: true, permission: ['QXGL_RZGL_JQXWTJ'] }
    },
    {
      path: 'role-auth',
      component: () => import('@/pages/statistics-manage/role-auth'),
      name: 'role-auth',
      meta: { title: '角色授权情况', noCache: true, permission: ['YHGLPT_TJBB_JSSQQK'] }
    }
  ]
};

export default componentsRouter;
