import Vue from "vue";
import Vuex from "vuex";
import app from "./modules/app";
import permission from "./modules/permission";
import tagsView from "./modules/tags-view";
import user from "./modules/user";
import dd from "./modules/dd";

Vue.use(Vuex);

const store = new Vuex.Store({
    modules: {
        app,
        permission,
        tagsView,
        user,
        dd
    }
});

export default store;
