"use strict"
const merge = require("webpack-merge")
const prodEnv = require("./prod.env")
module.exports = merge(prodEnv, {
    NODE_ENV: '"development"',
    IS_BASE_PACKAGE: "true",
    FILE_BASE_PATH: '"http://192.168.10.14:1665"',
    //以上配置一般不需要修改

    //使用easymock时，请将BASE_API设置为'"/easy-mock"'
    // BASE_API: '"/easy-mock"',
    BASE_API: '"/dcucauth"',
    QQQ: '"/easy-mock2"',

    //是否需要登录验证
    NEED_LOGIN: "false",

    //需要依赖的系统名称
    // INSTALLED_PROJECT: "'zfba,demo2,cross-env'",

    //当使用Oauth2方式登录时需要配置CLIENT_ID和CLIENT_SECRET
    IS_OAUTH2: "false",
    // CLIENT_ID: '"apigw91419331"',
    // CLIENT_SECRET: '"apigw94003010"',
    // APP_CODE: '"apigw10000003"',
    //LOGIN_PAGE:'"bjscLogin.jsp"',//是否自定义登录页

    // 布局结构配置，可选项包含 `layout-menu-top`, `layout`
    LAYOUT: '"layout"',
    PORT: "8871",
    //是否启用本地mock
    IS_MOCK: "false",
    PROXY_TABLE: JSON.stringify({
        "/dcucauth": {
            // target: 'http://10.11.1.237:8861' // 马志强
            target: "http://10.11.0.240:8861" // 陈炳煌
            // target: "http://10.254.11.203:8861"
            //  target: "http://192.168.10.2:8871"
            //  target: "http://192.168.6.133:3471"
            // target: 'http://192.168.6.131:3561'
            // target: "http://10.201.1.50:8871"
        }
    })
})
