/**
 授权日志管理接口
 @author linqian
 @Date：2021-05-27
 */
import request from "@/utils/request";
const baseUrl = "/auditsvr/v2";

/********************************************** 授权管理日志 *********************************************/

// tableUrl
export const authManageLogTableUrl = `${baseUrl}/authorizeLog/_search`;

// 日志详情
export function getAuthManageLogDetail(id) {
    return request({
        url: `${baseUrl}/authorizeLog/${id}`,
        method: "GET"
    });
}

/********************************************** 鉴权服务日志 *********************************************/

// tableUrl
export const authServiceLogTableUrl = `${baseUrl}/authenticationLog/_search`;

// 日志详情
export function getAuthServiceLogDetail(id) {
    return request({
        url: `${baseUrl}/authenticationLog/${id}`,
        method: "GET"
    });
}

// 统计信息tableUrl
export const authServiceLogStatisticsTableUrl = `${baseUrl}/authenticationLog/statistics`;


/********************************************** 鉴权风险日志 *********************************************/
// tableUrl
export const authRiskLogTableUrl = `${baseUrl}/riskLog/_search`;

// 日志详情
export function getAuthRiskLogDetail(id) {
    return request({
        url: `${baseUrl}/riskLog/${id}`,
        method: "GET"
    });
}
