const conditionForm = [
  {
    label: '姓名',
    name: 'name',
    op: 'like',
    value: '',
    component: 'ElInput',
    attr: {
      placeholder: '请输入姓名'
    }
  },
  {
    label: '警号',
    name: 'policeNumber',
    op: 'like',
    value: '',
    component: 'ElInput',
    attr: {
      placeholder: '请输入警号'
    }
  },
  {
    label: '身份证号码',
    name: 'idcard',
    op: 'like',
    value: '',
    component: 'ElInput',
    attr: {
      placeholder: '请输入身份证号码'
    }
  },
  {
    label: '单位名称',
    name: 'orgId',
    op: '=',
    value: '',
    apiName: 'getOrgTree',
    nodeKey: 'id',
    type: 'APP',
    component: 'SelectOrgTree',
    placeholder: '请选择单位名称',
  }
];
const tableHeader = [
  { label: '姓名', prop: 'name' },
  { label: '警号', prop: 'policeNumber' },
  { label: '身份证号码', prop: 'idcard' },
  { label: '单位名称', prop: 'orgName' },
  { label: '警种', prop: 'policeCategory', code: 'T_MD_POLICE_TYPE' },
  // { label: '用户类型', prop: 'userType', enum: 'UserTypeEnum' }
];

export { conditionForm, tableHeader }
