/**
 * 用户管理
 * @Author: zouwf
 * @Date:   2020-03-17
 * @Project jz
 */
import Layout from '@/pages/layout/layout';

const componentsRouter = {
  path: '/admin-manage',
  component: Layout,
  redirect: '/admin-manage',
  // alwaysShow: true,
  meta: { title: '管理员管理', icon: 'icon-yhgl', noCache: true, permission: ['YHGLPT_GLYGL'] },
  children: [
    {
      path: 'init',
      component: () => import('@/pages/admin-manage'),
      name: 'admin-manage',
      meta: { title: '管理员管理', noCache: true, permission: ['YHGLPT_GLYGL'] }
    }
  ]
};

export default componentsRouter;
